var AdmobView;

module.exports = AdmobView = (function() {

  function AdmobView(publisherId) {
    this.publisherId = publisherId != null ? publisherId : 'a14fcd9ab85b2a4';
  }

  AdmobView.prototype.createAdmobView = function(test) {
    var Admob, view;
    if (test == null) {
      test = true;
    }
    Admob = require('ti.admob');
    view = Admob.createView({
      left: 0,
      bottom: 0,
      width: Ti.UI.FILL,
      height: 50,
      testDevices: test,
      keywords: '',
      adBackgroundColor: 'black',
      publisherId: this.publisherId
    });
    view.addEventListener('didReceiveAd', function() {
      return Ti.API.info("Admob OK" + this.publisherId);
    });
    view.addEventListener('disFailToReceiveAd', function() {
      return Ti.API.info("Admob NG" + this.publisherId + ' : disFailToReceiveAd');
    });
    view.addEventListener('willPresentScreen', function() {
      return Ti.API.info("Admob NG" + this.publisherId + ' : willPresentScreen');
    });
    view.addEventListener('willDismissScreen', function() {
      return Ti.API.info("Admob NG" + this.publisherId + ' : willDismissScreen');
    });
    view.addEventListener('didDismissScreen', function() {
      return Ti.API.info("Admob NG" + this.publisherId + ' : didDismissScreen');
    });
    view.addEventListener('willLeaveApplication', function() {
      return Ti.API.info("Admob NG" + this.publisherId + ' : willLeaveApplication');
    });
    return view;
  };

  return AdmobView;

})();
