var TestFlight;

module.exports = TestFlight = (function() {

  TestFlight.isSupportedPlatform = function() {
    var Aux;
    Aux = require('lib/Aux');
    return Aux.isIPhone() && !Aux.isSimulator();
  };

  function TestFlight(token) {
    var testflight;
    if (this.isSupportedPlatform()) {
      testflight = require('co.saiten.ti.testflight');
      testflight.takeOff(token);
      Ti.App.testflight = testflight;
    }
    return;
  }

  TestFlight.prototype.passCheckpoint = function(name) {
    var testflight;
    if (this.isSupportedPlatform()) {
      testflight = Ti.App.testflight;
      if (testflight != null) {
        testflight.passCheckpoint(name);
      }
    }
  };

  return TestFlight;

})();
