var Twitter;

module.exports = Twitter = (function() {

  function Twitter() {}

  Twitter.messageIndex = 0;

  Twitter.tweet = function(message) {
    var Aux, closeOnError, data, dialog, func, toast;
    data = {
      status: message
    };
    closeOnError = function() {
      return this.showErrorDialog("You coud not tweets", function() {});
    };
    func = function(e) {};
    if (Ti.Platform.osname === 'android') {
      Ti.include("/lib/ccs.js", "/lib/ccsAux.js");
      Ti.include('/lib/twitter/Twitter.js');
    }
    ccs.Twitter.tweet(data, func);
    Aux = require('lib/Aux');
    if (Aux.isAndroid()) {
      toast = Ti.UI.createNotification({
        message: Ti.Locale.getString("tweet_finish"),
        duration: Ti.UI.NOTIFICATION_DURATION_LONG
      });
      toast.show();
    } else {
      dialog = Ti.UI.createAlertDialog({
        title: "Twitter",
        message: Ti.Locale.getString("tweet_finish"),
        buttonNames: ["OK"]
      });
      dialog.show();
    }
  };

  Twitter.tweetMesseage = function(newCardNum, compCardNum, drawCardNum) {
    var Model, index, r, t, tweetMessage, urlshortcut, val, _i, _j;
    if (newCardNum == null) {
      newCardNum = 0;
    }
    if (compCardNum == null) {
      compCardNum = 0;
    }
    if (drawCardNum == null) {
      drawCardNum = 0;
    }
    val = 0;
    Model = require('model/model');
    for (t = _i = 1; _i <= 3; t = ++_i) {
      for (r = _j = 1; _j <= 3; r = ++_j) {
        val += Model.getCount(t, r);
      }
    }
    index = this.messageIndex + 1;
    tweetMessage = "";
    urlshortcut = Ti.Platform.osname === 'android' ? Ti.Locale.getString("googleplay") : Ti.Locale.getString("applestore");
    if (index < 5) {
      tweetMessage = String.format(Ti.Locale.getString("tweet" + index), val, urlshortcut);
    } else if (index === 5) {
      tweetMessage = String.format(Ti.Locale.getString("tweet" + index), urlshortcut);
    } else if (index === 6) {
      tweetMessage = String.format(Ti.Locale.getString("tweet" + index), "@" + ccs.Twitter.getScreenName(), urlshortcut);
    } else if (index === 7) {
      tweetMessage = String.format(Ti.Locale.getString("tweet" + index), val, newCardNum, urlshortcut);
    } else if (index === 8) {
      tweetMessage = String.format(Ti.Locale.getString("tweet" + index), val, compCardNum, urlshortcut);
    } else if (index === 9) {
      tweetMessage = String.format(Ti.Locale.getString("tweet" + index), ccs.Twitter.getScreenName(), drawCardNum, urlshortcut);
    } else {
      tweetMessage = "DrawMite!!";
    }
    this.tweet(tweetMessage);
    this.messageIndex = Math.floor(this.messageIndex + 1) % 9;
  };

  Twitter.showErrorDialog = function(message, callback) {
    var dialog;
    dialog = Ti.UI.createAlertDialog({
      title: "error",
      message: message,
      buttonNames: ["OK"]
    });
    if (callback !== void 0) {
      dialog.addEventListener("click", callback);
    }
    return dialog.show();
  };

  return Twitter;

})();
