var Aux;

module.exports = Aux = (function() {

  function Aux() {}

  Aux.isIPhone = function() {
    return Ti.Platform.osname === 'iphone';
  };

  Aux.isIPad = function() {
    return Ti.Platform.osname === 'ipad';
  };

  Aux.isAndroid = function() {
    return Ti.Platform.osname === 'android';
  };

  Aux.isTablet = function() {
    var height, width;
    height = Ti.Platform.displayCaps.platformHeight;
    width = Ti.Platform.displayCaps.platformWidth;
    return this.isIPad() || (this.isAndroid() && (width > 899 || height > 899));
  };

  Aux.isSimulator = function() {
    if (this.isIPhone()) {
      return Ti.Platform.model === 'Simulator';
    } else {
      return (Ti.Platform.model === 'google_sdk') || (Ti.Platform.model === 'sdk');
    }
  };

  return Aux;

})();
