////////////////////////////////////////////////////////////////////////////////
//
//  CLOUD CREATIVE STUDIOS, INC.
//
//  Copyright (C) 2011-2012 Cloud Creative Studios, Inc.
//  All Rights Reserved.
//
//  http://cloud-creative-studios.com
//
////////////////////////////////////////////////////////////////////////////////

///@file ccs.js

var ccs = {};

(function() {
	//デバッグフラグ(0以外:デバッグモードON、0:デバッグモードOFF)
	//ここではフラグを1にすることはない。
	//デバッグモードとして利用したいときはアプリ側で再定義する
	ccs.Debug = 0;
	
	ccs.ErrorLog = function(message) {
		if (!!ccs.Debug) {
			Ti.API.error(message);
		}
	};
	ccs.DebugLog = function(message) {
		if (!!ccs.Debug) {
			Ti.API.debug(message);
		}
	};
	
}());
