var DrawWindow;

module.exports = DrawWindow = (function() {

  function DrawWindow(thame, drawCount, window, isTweet) {
    var Model, Twitter, backButton, bandView, button, buttonx, buttony, height, i, imageNew, isLastCard, isNew, j, lastCardRank, left, margin_w, point, rank, scrollView, scrollViewAlpha, stageHeight, stageWidth, table, width, _i, _j, _ref,
      _this = this;
    this.thame = thame;
    this.drawCount = drawCount != null ? drawCount : 1;
    this.window = window;
    this.isTweet = isTweet != null ? isTweet : false;
    this.self = Ti.UI.createWindow({
      exitOnClose: false
    });
    margin_w = 20;
    height = 420;
    width = 320 - margin_w;
    left = margin_w / 2;
    this.isiPhone = Ti.Platform.osname === 'iphone';
    this.isAndroid = Ti.Platform.osname === 'android';
    this.card = {
      w_num: 4,
      height: this.drawCount === 1 ? Math.floor(144 * 3 / 2 + 10) : Math.floor(144 * 2 / 3) + 10,
      width: this.drawCount === 1 ? Math.floor(96 * 3 / 2 + 10) : Math.floor(96 * 2 / 3) + 10
    };
    this.tweetTable = {
      newCards: 0,
      compCardNum: 0,
      drawCardNum: this.drawCount
    };
    stageWidth = Titanium.Platform.displayCaps.platformWidth;
    stageHeight = Titanium.Platform.displayCaps.platformHeight;
    this.fitLeft = stageWidth / 2 - 320 / 2;
    this.fitTop = stageHeight / 2 - 480 / 2;
    bandView = Ti.UI.createScrollView({
      left: this.isAndroid ? this.fitLeft + left : left,
      top: this.isAndroid ? this.fitTop + (480 - 320) / 2 - 25 : (480 - 320) / 2 - 25,
      height: height,
      width: width,
      contentWidth: 'auto',
      contentHeight: 'auto',
      showVerticalScrollIndicator: true,
      showHorizontalScrollIndicator: true
    });
    this.self.add(bandView);
    scrollViewAlpha = Ti.UI.createView({
      top: 0,
      left: 0,
      height: height,
      width: width,
      backgroundColor: 'white',
      opacity: 0.8
    });
    bandView.add(scrollViewAlpha);
    scrollView = Ti.UI.createView({
      top: 0,
      left: 0,
      height: height,
      width: width
    });
    bandView.add(scrollView);
    this.newCards = [0, 0, 0, 0, 0, 0];
    this.checkCompleteNum();
    table = [2, 10, 20, 150, 3000, 6000, 10000];
    for (i = _i = 1, _ref = this.drawCount; 1 <= _ref ? _i <= _ref : _i >= _ref; i = 1 <= _ref ? ++_i : --_i) {
      rank = 0;
      point = Math.floor(Math.random() * 10000);
      for (j = _j = 0; _j <= 6; j = ++_j) {
        if (point < table[j]) {
          rank = (6 - j) + 1;
          break;
        }
      }
      if (this.checkComplete() === false) {
        rank = rank === 7 ? 1 : rank;
      }
      Model = require('model/model');
      isLastCard = Model.checkCompleteNum(this.thame) === 1 ? true : false;
      if (isLastCard) {
        lastCardRank = this.getUnKnownCardNum();
        if (Model.getTotalDrawCardNum(this.thame) < 1000 && lastCardRank === rank) {
          rank = rank + 1;
          rank = rank === 7 ? 1 : rank;
        }
      }
      isNew = Model.hasImage(this.thame, rank);
      Model.openImage(this.thame, rank);
      button = this.createCardButton(i, rank, scrollView);
      if (isNew !== true) {
        imageNew = this.createImageNew(i, rank);
        scrollView.add(imageNew);
        this.tweetTable.newCards++;
      }
    }
    this.randomnumber = Math.floor(Math.random() * 100) % 2;
    buttonx = this.isAndroid ? this.fitLeft + 320 / 2 - 140 / 2 : 320 / 2 - 140 / 2;
    buttony = this.isAndroid ? this.fitTop + 425 : 425;
    backButton = this.addImageButton(buttonx, buttony, 140, 45, '/images/Button/Button_Back.png', this.self);
    backButton.addEventListener('click', function() {
      if (_this.randomnumber < 1) {
        _this.updatePreviousWindow();
        _this.self.close();
      } else {
        _this.randomnumber -= 1;
      }
    });
    this.showCompleteMovie();
    if (this.isTweet) {
      Twitter = require('ui/handheld/Twitter');
      Twitter.tweetMesseage(this.tweetTable.newCards, this.tweetTable.compCardNum, this.tweetTable.drawCardNum);
    }
    this.self.open();
  }

  DrawWindow.prototype.getUnKnownCardNum = function() {
    var Model, i, _i;
    Model = require('model/model');
    for (i = _i = 1; _i <= 6; i = ++_i) {
      if (Model.hasImage(this.thame, i) !== true) {
        return i;
      }
    }
  };

  DrawWindow.prototype.checkCompleteNum = function() {
    var Model, i, _i;
    Model = require('model/model');
    this.tweetTable.compCardNum = 6;
    for (i = _i = 1; _i <= 6; i = ++_i) {
      if (Model.hasImage(this.thame, i) === true) {
        this.tweetTable.compCardNum--;
      }
    }
  };

  DrawWindow.prototype.checkComplete = function() {
    var Model, i, _i;
    Model = require('model/model');
    for (i = _i = 1; _i <= 6; i = ++_i) {
      if (Model.hasImage(this.thame, i) !== true) {
        return false;
      }
    }
    return true;
  };

  DrawWindow.prototype.updatePreviousWindow = function() {
    if (this.newCards[0] === 1) {
      this.window.addCardButton(39, 165, 1);
    }
    if (this.newCards[1] === 1) {
      this.window.addCardButton(128, 165, 2);
    }
    if (this.newCards[2] === 1) {
      this.window.addCardButton(217, 165, 3);
    }
    if (this.newCards[3] === 1) {
      this.window.addCardButton(39, 232, 4);
    }
    if (this.newCards[4] === 1) {
      this.window.addCardButton(128, 232, 5);
    }
    if (this.newCards[5] === 1) {
      this.window.addCardButton(217, 232, 6);
    }
    if (this.newCards[6] === 1) {
      return this.window.addCardButton(127, 299, 7);
    }
  };

  DrawWindow.prototype.showCompleteMovie = function() {
    var Model, isMovieSet, movie, options,
      _this = this;
    Model = require('model/model');
    if (Model.isComp(this.thame) === true) {
      return;
    }
    if (this.checkComplete() === false) {
      return;
    }
    Model.setComp(this.thame);
    Model.openImage(this.thame, 7);
    this.newCards[7 - 1] = 1;
    options = {
      url: '/images/Movie/comp.mp4',
      backgroundColor: 'black',
      scalingMode: Ti.Media.VIDEO_SCALING_MODE_FILL,
      movieControlMode: Ti.Media.VIDEO_CONTROL_NONE,
      width: 320,
      height: 480
    };
    movie = Ti.Media.createVideoPlayer(options);
    isMovieSet = 0;
    movie.addEventListener('complete', function() {
      if (isMovieSet === 0) {
        isMovieSet = 1;
        return setTimeout(function() {
          var alertDialog;
          movie.stop();
          _this.self.remove(movie);
          alertDialog = Titanium.UI.createAlertDialog({
            title: Ti.Locale.getString("tweet_comp_A_" + _this.thame),
            message: "",
            buttonNames: [Ti.Locale.getString("tweet_tweet"), Ti.Locale.getString("tweet_no_thanks")],
            cancel: 1
          });
          alertDialog.addEventListener('click', function(event) {
            var indicator, loginHandler, params, successcount;
            if (event.index === 0) {
              Ti.include("/lib/ccs.js", "/lib/ccsAux.js");
              indicator = Titanium.UI.createActivityIndicator({
                message: Ti.Locale.getString("tweet_connecting")
              });
              indicator.show();
              Ti.App.Twitter = {
                ConsumerKey: "PjV9wfdX6DD49mJAq920w",
                ConsumerSecret: "urjLM5ugXWMH08VgmDtOFu5fMFeTLJvkomSRrwx7StY"
              };
              Ti.include('/lib/twitter/Twitter.js');
              ccs.Twitter.init();
              params = {};
              successcount = 1;
              params.success = function() {
                var Twitter, urlshortcut;
                if (successcount === 1) {
                  Twitter = require('ui/handheld/Twitter');
                  urlshortcut = Ti.Platform.osname === 'android' ? Ti.Locale.getString("googleplay") : Ti.Locale.getString("applestore");
                  Twitter.tweet(String.format(Ti.Locale.getString("tweet_comp_B"), ccs.Twitter.getScreenName(), _this.thame, urlshortcut));
                  successcount = 0;
                }
                indicator.hide();
              };
              params.error = function() {
                indicator.hide();
              };
              params.cancel = function() {
                indicator.hide();
              };
              loginHandler = function(e) {
                if (e.success !== void 0) {
                  if (params.success !== void 0) {
                    ccs.Twitter.removeEventListener("login", loginHandler);
                    params.success(ccs.Twitter.getScreenName());
                  }
                } else {
                  if (params.error !== void 0) {
                    params.error();
                  } else if (params.cancel !== void 0) {
                    params.cancel();
                  }
                }
              };
              if (ccs.Twitter.isLoggedIn()) {
                return params.success(ccs.Twitter.getScreenName());
              } else {
                ccs.Twitter.addEventListener("login", loginHandler);
                return ccs.Twitter.login();
              }
            }
          });
          return alertDialog.show();
        }, 500);
      }
    });
    this.self.add(movie);
    return movie.play();
  };

  DrawWindow.prototype.createCardButton = function(i, rank, baseView) {
    var Aux, animation, button, height, imageView, pos, top, w_num, width,
      _this = this;
    w_num = this.card.w_num;
    height = this.card.height;
    width = this.card.width;
    pos = this.getPos(i, w_num, width, height);
    top = pos.y;
    Aux = require('lib/Aux');
    if (Aux.isAndroid()) {
      button = this.addImageButton(pos.x, top, width - 10, height - 10, "/images/Thame/0" + this.thame + "/" + rank + ".jpg", baseView);
      button.addEventListener('click', function() {
        var Window;
        Window = require('ui/handheld/ImageDisplayWindow');
        return new Window("/images/Thame/0" + _this.thame + "/" + rank + ".jpg");
      });
    } else {
      imageView = Ti.UI.createImageView({
        image: "/images/Thame/0" + this.thame + "/" + rank + ".jpg",
        width: width - 10,
        height: height - 10
      });
      button = Ti.UI.createButton({
        left: pos.x,
        top: top,
        width: width - 10,
        height: height - 10
      });
      button.addEventListener('click', function() {
        var Window;
        Window = require('ui/handheld/ImageDisplayWindow');
        return new Window("/images/Thame/0" + _this.thame + "/" + rank + ".jpg");
      });
      button.add(imageView);
      if (this.drawCount === 10) {
        button.top = 0;
        button.opacity = 0;
        animation = Titanium.UI.createAnimation();
        animation.top = top - 10;
        animation.opacity = 1;
        animation.duration = 250;
        animation.delay = i * 100;
        animation.curve = Ti.UI.ANIMATION_CURVE_EASE_OUT;
        imageView.addEventListener('load', function(e) {
          return button.animate(animation, function() {
            button.top = top - 10;
            return button.opacity = 1;
          });
        });
      }
      baseView.add(button);
    }
  };

  DrawWindow.prototype.createImageNew = function(i, rank) {
    var Aux, animation, height, imageNew, left, pos, top, w_num, width,
      _this = this;
    this.newCards[rank - 1] = 1;
    w_num = this.card.w_num;
    height = this.card.height;
    width = this.card.width;
    pos = this.getPos(i, w_num, width, height);
    left = pos.x;
    top = pos.y;
    imageNew = Ti.UI.createImageView({
      image: "/images/Button/new.png",
      left: left - 10,
      top: top - 10,
      width: this.drawCount === 1 ? 68 : 68 / 2,
      height: this.drawCount === 1 ? 40 : 40 / 2
    });
    Aux = require('lib/Aux');
    if (this.drawCount === 10 && Aux.isIPhone()) {
      imageNew.opacity = 0;
      animation = Titanium.UI.createAnimation();
      animation.duration = 125;
      animation.delay = 2000;
      animation.opacity = 1;
      animation.curve = Ti.UI.ANIMATION_CURVE_EASE_OUT;
      imageNew.addEventListener('load', function(e) {
        return imageNew.animate(animation);
      });
    }
    return imageNew;
  };

  DrawWindow.prototype.getPos = function(i, w_num, width, height) {
    var index, left, leftIndex, pos, top;
    width = Math.floor(width);
    height = Math.floor(height);
    pos = {
      x: 0,
      y: 0
    };
    index = i - 1;
    leftIndex = Math.floor(index / w_num);
    left = 8 + index * width - (leftIndex * width * w_num);
    top = 480 / 2 - height / 2;
    if (this.drawCount === 1) {
      left = 320 / 2 - width / 2;
      top = 480 / 2 - height / 2 - 30;
    } else if (this.drawCount === 10) {
      if (i <= 4) {
        top = 8 + height * leftIndex;
      } else if (i > 4 && i < 7) {
        top = 8 + height;
        left += width;
      } else {
        top = 8 + height * 2;
        leftIndex = Math.floor((index + 2) / w_num);
        left = 8 + index * width - (leftIndex * width * w_num) + width * 2;
      }
      top += 10;
    }
    pos.x = left;
    pos.y = top;
    return pos;
  };

  DrawWindow.prototype.addImageButton = function(left, top, width, height, image, baseView) {
    var Aux, button;
    button = Ti.UI.createButton({
      left: left,
      top: top,
      width: width,
      height: height,
      opacity: 1.0
    });
    Aux = require('lib/Aux');
    if (Aux.isAndroid()) {
      button.backgroundImage = '/images/Button/Button_Thame.png';
      image = Ti.UI.createImageView({
        top: top,
        left: left,
        width: width,
        height: height,
        image: image,
        opacity: 1.0
      });
      baseView.add(image);
    } else {
      button.image = image;
    }
    baseView.add(button);
    return button;
  };

  return DrawWindow;

})();
